Last modified: 2013-07-25 07:07:39 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 40344 - Bugzilla auto-linking mangling Gerrit URL
Bugzilla auto-linking mangling Gerrit URL
Status: VERIFIED FIXED
Product: Wikimedia
Classification: Unclassified
Bugzilla (Other open bugs)
unspecified
All All
: High normal (vote)
: ---
Assigned To: Andre Klapper
: easy
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 00:14 UTC by MZMcBride
Modified: 2013-07-25 07:07 UTC (History)
10 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description MZMcBride 2012-09-19 00:14:38 UTC
https://gerrit.wikimedia.org/r/gitweb?p=mediawiki/extensions/MobileFrontend.git;a=blob;f=MobileFormatter.php;h=e54b7c312985e3ebd569cac1fb4f34c597f4e8b8;hb=HEAD

Bugzilla's auto-linker is mangling this Gerrit URL. It should look like the concatenation of:

https://gerrit.wikimedia.org/r/gitweb?p=mediawiki/extensions/ \
MobileFrontend.git;a=blob;f=MobileFormatter.php; \
h=e54b7c312985e3ebd \
569cac1fb4f34c597f4e8b8;hb=HEAD
Comment 1 Jon 2012-09-19 05:32:47 UTC
I've noticed this as well and it is most annoying! I wonder if the latest Bugzilla upgrade fixes this?
Comment 2 MZMcBride 2012-09-24 13:04:52 UTC
(In reply to comment #1)
> I've noticed this as well and it is most annoying! I wonder if the latest
> Bugzilla upgrade fixes this?

I doubt it has anything to do with Bugzilla directly. Wikimedia has a Bugzilla extension that performs a few auto-linking regexen on Bugzilla comments. I imagine this particular regex just needs a tweak.
Comment 3 Andre Klapper 2012-10-11 10:37:55 UTC
I guess that's stuff to solve in
http://svn.wikimedia.org/viewvc/mediawiki/trunk/tools/bugzilla/bugzilla-4.0/extensions/Wikimedia/Extension.pm?view=markup
, whoever wants to give it a try and knows regular expressions.
Comment 4 Nemo 2012-11-05 09:13:53 UTC
I noticed on bug 41745 comment 5 that the email I received had a correct link, so I suppose the damage is not permanent.
Also:
2012-11-03 20.56 < jeremyb> why are spaces escaped there?
2012-11-03 20.56 < jeremyb> >  match => qr{\brt\ ?\#?(\d+)}i
Comment 5 Andre Klapper 2012-11-05 10:20:58 UTC
It only affects the rendering - the XML view at https://bugzilla.wikimedia.org/show_bug.cgi?ctype=xml&id=41745 also shows it correctly.
Comment 6 Andre Klapper 2012-11-15 13:24:07 UTC
The issue seems to be that a word boundary 
   \b 
also covers
   = 
while this is not intended by its author.

Patch at https://gerrit.wikimedia.org/r/#/c/33557/ , review and testing welcome.
Comment 7 Andre Klapper 2012-11-16 11:29:24 UTC
Gerrit annoys the hell out of me and wastes my time, so I unassign this though the patch works and is tested. See Gerrit.
Comment 8 Andre Klapper 2012-11-16 21:13:16 UTC
Next try: https://gerrit.wikimedia.org/r/#/c/33747/
Comment 9 Andre Klapper 2012-12-14 17:47:21 UTC
Created https://rt.wikimedia.org/Ticket/Display.html?id=4126 for deployment.
Comment 10 Daniel Zahn 2012-12-17 17:33:44 UTC
merged:  https://gerrit.wikimedia.org/r/#/c/33747/3/bugzilla-4.0/extensions/Wikimedia/Extension.pm

and deployed in production
Comment 11 Daniel Zahn 2012-12-17 17:39:43 UTC
and another change to move the Extension.pm from 4.0 to 4.2 directory

https://gerrit.wikimedia.org/r/#/c/39065/
Comment 12 Andre Klapper 2012-12-17 20:55:34 UTC
Thanks! Verifying, as it can be seen that these examples are not broken anymore:
https://bugzilla.wikimedia.org/show_bug.cgi?id=18195#c14
https://bugzilla.wikimedia.org/show_bug.cgi?id=41745#c5

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links